Skip to main content
POST
/
people-intelligence-async
People Intelligence (Async)
curl --request POST \
  --url https://api.sixtyfour.ai/people-intelligence-async \
  --header 'Content-Type: application/json' \
  --data '
{
  "lead_info": {},
  "struct": {},
  "research_plan": "<string>",
  "webhook_url": "<string>",
  "field_confidence": true
}
'
{
  "detail": "Invalid request body"
}

Headers

x-api-key
string | null

Body

application/json
lead_info
Lead Info · object
required

Single lead to process. Provide any combination of name, email, company, linkedin, etc.

struct
Struct · object

Mapping of output field name to natural-language description of what to extract.

research_plan
string | null

Optional natural-language plan that guides the research agent.

tier
enum<string> | null

Quality and cost tier for the research agent.

Available options:
low,
micro,
medium,
high
webhook_url
string<uri> | null

HTTPS URL that receives the result payload when the async job completes.

Required string length: 1 - 2083
field_confidence
boolean | null

If true, return confidence scores for each requested output field.

Response

Successful Response